
TYPO3.Flow - Bug # 57052

Status: Closed Priority: Should have
Author: Rachitha Senevirathne Category: - Error Handler Report -
Created: 2014-03-18 Assigned To: Bastian Waidelich
Updated: 2014-03-31 Due date:
PHP Version: 5.4
Has patch: No
Complexity: medium
Affected Flow version: Flow 2.0.0 beta 1
Subject: #1355480641: Execution of subprocess failed with exit code 1 without any further output.
Description

Execution of subprocess failed with exit code 1 without any further output. (Please check your PHP error log for possible Fatal
errors)
12 TYPO3\Flow\Core\Booting\Scripts::executeCommand("typo3.flow:core:compile", array|18|)

11 TYPO3\Flow\Core\Booting\Scripts::initializeProxyClasses(TYPO3\Flow\Core\Bootstrap)

10 call_user_func(array|2|, TYPO3\Flow\Core\Bootstrap)

9 TYPO3\Flow\Core\Booting\Step::__invoke(TYPO3\Flow\Core\Bootstrap)

8 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)

7 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)

6 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)

5 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)

4 TYPO3\Flow\Core\Booting\Sequence::invoke(TYPO3\Flow\Core\Bootstrap)

3 TYPO3\Flow\Http\RequestHandler::boot()

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

1 TYPO3\Flow\Core\Bootstrap::run()

Please include more helpful information!

History
#1 - 2014-03-19 10:04 - Bastian Waidelich
- Status changed from New to Needs Feedback
- Assigned To set to Bastian Waidelich
- Priority changed from Must have to Should have

Rachitha Senevirathne wrote:
Hi Rachitha,

Please include more helpful information!

You too ;)
    -  What Flow/PHP version are you running?
    -  What did you do before the error occurred (did Flow run w/o errors before?)
    -  Did you have a look into the Flow log files?

#2 - 2014-03-19 10:56 - Rachitha Senevirathne

Bastian Waidelich wrote:

Rachitha Senevirathne wrote:

Hi Rachitha,

Please include more helpful information!
You too ;)    -  What Flow/PHP version are you running?
    -  What did you do before the error occurred (did Flow run w/o errors before?)
    -  Did you have a look into the Flow log files?

Hello Bastian,

I am using Flow-2.2.0-beta1 on php5.4.12.
This occurs when I try to run the flow.
I haven't check the log files. How I can check them?

#3 - 2014-03-19 13:39 - Adrian Föder
- Assigned To changed from Bastian Waidelich to Rachitha Senevirathne

Hi Rachitha,
please have a look into your plain PHP log file, and in Data/Logs(/Exceptions).

#4 - 2014-03-19 13:47 - Rachitha Senevirathne

Hi Adrian,
I will do so.

#5 - 2014-03-19 14:00 - Rachitha Senevirathne

This is the log file..

Uncaught exception #1355480641 in line 249 of
C:\wamp\www\flowOLD\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Scripts.php: Execution of subprocess failed with exit
code 1 without any further output. (Please check your PHP error log for possible Fatal errors)
12 TYPO3\Flow\Core\Booting\Scripts::executeCommand("typo3.flow:core:compile", array|18|)
11 TYPO3\Flow\Core\Booting\Scripts::initializeProxyClasses(TYPO3\Flow\Core\Bootstrap)
10 call_user_func(array|2|, TYPO3\Flow\Core\Bootstrap)
9 TYPO3\Flow\Core\Booting\Step::__invoke(TYPO3\Flow\Core\Bootstrap)
8 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
7 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
6 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
5 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
4 TYPO3\Flow\Core\Booting\Sequence::invoke(TYPO3\Flow\Core\Bootstrap)
3 TYPO3\Flow\Http\RequestHandler::boot()
2 TYPO3\Flow\Http\RequestHandler::handleRequest()
1 TYPO3\Flow\Core\Bootstrap::run()

#6 - 2014-03-19 15:01 - Bastian Waidelich
- Assigned To changed from Rachitha Senevirathne to Bastian Waidelich

@Adrian thanks for the feedback, but please don't change the assignee. I'll look into this

#7 - 2014-03-19 15:10 - Bastian Waidelich

Rachitha, apperently your PHP does not output any errors. In your development environment you should enable this (see 
http://www.php.net/manual/en/ref.errorfunc.php).
And also please take a look at your PHP error log!

#8 - 2014-03-19 15:32 - Rachitha Senevirathne

Bastian Waidelich wrote:

Rachitha, apperently your PHP does not output any errors. In your development environment you should enable this (see 
http://www.php.net/manual/en/ref.errorfunc.php).
And also please take a look at your PHP error log!

Hi Bastian,
My php error log also not out put any error message.

#9 - 2014-03-19 15:38 - Bastian Waidelich

Rachitha Senevirathne wrote:

My php error log also not out put any error message.

Mh, then you seem to have a weird setup somehow.. What happens if you just create a plain PHP file with errors and browse to it directly?

If that works as expected, you might have different PHP versions installed on your system and Flow's sub-request uses not the same one as your web
server.
In that case you can specify the location of the PHP binary via the "phpBinaryPathAndFilename" setting. See 
http://wiki.typo3.org/Flow_Installation_Hints#Running_on_Windows_OS.27s

#10 - 2014-03-19 16:10 - Rachitha Senevirathne

Bastian Waidelich wrote:

Rachitha Senevirathne wrote:

My php error log also not out put any error message.

Mh, then you seem to have a weird setup somehow.. What happens if you just create a plain PHP file with errors and browse to it directly?

If that works as expected, you might have different PHP versions installed on your system and Flow's sub-request uses not the same one as your
web server.
In that case you can specify the location of the PHP binary via the "phpBinaryPathAndFilename" setting. See 
http://wiki.typo3.org/Flow_Installation_Hints#Running_on_Windows_OS.27s

Plain php file with errors shows the expected results. And also My php version is php5.4.12 and it is latest than than the requested version. 
And also its correctly set the path for php.exe via phpBinaryPathAndFilename.

#11 - 2014-03-20 20:39 - Bastian Waidelich

Rachitha Senevirathne wrote:

Plain php file with errors shows the expected results. And also My php version is php5.4.12 and it is latest than than the requested version. 
And also its correctly set the path for php.exe via phpBinaryPathAndFilename.

This is quite strange.. Did you already try to run Neos. It has a setup wizard that detects some incompatible PHP settings, maybe that helps?

#12 - 2014-03-21 10:10 - Bastian Waidelich

..one more thing I just realized: Your installation points to C:\wamp\www\*flowOLD*\ - are you sure that's Flow-2.2.0-beta1?
We had a bug in a previous version that prevented the error output, but it was fixed with https://review.typo3.org/18873

#13 - 2014-03-31 15:11 - Bastian Waidelich
- Status changed from Needs Feedback to Closed

Closing due to missing feedback.
Feel free to comment and/or re-open
